{"openapi":"3.0.0","info":{"title":"address-quality-service-api","version":"Computed and injected at build time by `scripts/set_version.py`","description":"## Overview\n\nUse this API to add a Unique Property Reference Number (UPRN) to addresses before they are updated in the Personal Demographics Service (PDS) database.\n\nThe input address is compared against a standard address in the AQS database.\nIf there is a match between the input and standard address the standard address will be returned with a UPRN.\nIf there is not a match the request will be forwarded to Autofix to do a match against OS Places.\n\n## Who can use this API\n\nThe API is an internal API currently only available to PDS.\n\n## Related APIs\n\n[Personal Demographics Service](https://digital.nhs.uk/services/personal-demographics-service) - uses Address Quality Service API to add a UPRN to address updates.\n\n## API status and roadmap\n\nThis API is [in development](https://digital.nhs.uk/developer/guides-and-documentation/reference-guide#statuses),\nmeaning:\n  * it is available for testing in the integration environment\n  * we expect to make breaking changes based on developer feedback\n\n## Service level\n\nThis API is a bronze service, meaning it is operational and supported only during business hours (8 am to 6 pm), Monday to Friday excluding bank holidays.\n\nFor more details, see [service levels](https://digital.nhs.uk/developer/guides-and-documentation/reference-guide#service-levels).\n\n## Technology\n\nThis API is [RESTful](https://digital.nhs.uk/developer/guides-and-documentation/api-technologies-at-nhs-digital#basic-rest).\n\n## Network access\n\nThis API is available on the internet and, indirectly, on the [Health and Social Care Network (HSCN)](https://digital.nhs.uk/services/health-and-social-care-network).\n\nFor more details see [Network access for APIs](https://digital.nhs.uk/developer/guides-and-documentation/network-access-for-apis).\n\n## Security and authorisation\n\nAQS uses and API key to authenticate the proxy.\n\nFor more details see [Application-restricted RESTful APIs - API key authentication](https://digital.nhs.uk/developer/guides-and-documentation/security-and-authorisation/application-restricted-restful-apis-api-key-authentication).\n\n## Errors\n\nWe use standard HTTP status codes to show whether an API request succeeded or not. They are usually in the range:\n\n* 200 to 299 if it succeeded, including code 202 if it was accepted by an API that needs to wait for further action\n\n* 400 to 499 if it failed because of a client error by your application\n\n* 500 to 599 if it failed because of an error on our server\n\nErrors specific to each API are shown in the Endpoints section, under Response. See our [reference guide](https://digital.nhs.uk/developer/guides-and-documentation/reference-guide#http-status-codes) for more on errors.\n\n## Open source\n\nThe Proxy is open source. For more details see [Proxy](https://github.com/NHSDigital/address-quality-service-api/).\nThe backend is currently a closed-source project.\n\n## Environments and testing\n\n| Environment       | Base URL                                                               |\n| ----------------- | ---------------------------------------------------------------------- |\n| Integration test  | `https://int.api.service.nhs.uk/address-quality-service-api`           |\n| Production        | `https://api.service.nhs.uk/address-quality-service-api`               |\n\n## Onboarding\n\nThis API is not yet available for onboarding.\n","contact":{"name":"address-quality-service-api API Support","url":"https://digital.nhs.uk/developer/help-and-support","email":"api.management@nhs.net"}},"servers":[{"url":"https://sandbox.api.service.nhs.uk/address-quality-service-api","description":"Sandbox environment."},{"url":"https://int.api.service.nhs.uk/address-quality-service-api","description":"Integration test environment."},{"url":"https://api.service.nhs.uk/address-quality-service-api","description":"Production environment."}],"paths":{"/":{"post":{"summary":"Validate address","description":"## Overview\nUse this endpoint to validate the input address agains a standard\naddress and retrieve UPRN if there is a match.","operationId":"postValidate","requestBody":{"description":"Match address","required":true,"content":{"application":{"schema":{"$ref":"components/schemas/postMatchAddress.yaml"},"examples":{"success":{"value":{"$ref":"components/examples/postMatchAddressRequest.json"}}}}}},"responses":{"200":{"description":"provides the UPRN and address properties","content":{"application/json":{"examples":{"Successful":{"summary":"The response from a successful request.","value":{"$ref":"components/examples/postMatchAddressResponse.json"}}}}}},"400":{"description":"Invalid address line or postal code"},"404":{"description":"Unable to get a match on the address"}}}}}}